diff --git a/resources/views/pages/index.blade.php b/resources/views/pages/index.blade.php
index 2527552..b549cb5 100644
--- a/resources/views/pages/index.blade.php
+++ b/resources/views/pages/index.blade.php
@@ -9,23 +9,25 @@
             <div class="logos-overlay">
                 <div class="museum-logo">
                     <div class="text-center">
-                        <img src="{{ asset('images/icons/upm-logo.png') }}" alt="upm">
+                        <a href="https://www.upm.cz/">
+                            <img src="{{ asset('images/icons/upm-logo.svg') }}" alt="upm">
+                        </a>
                     </div>
                 </div>
                 <div class="row social-logo">
-                    <div class="col-md-4">
-                        <a href="">
-                            <img src="{{ asset('images/icons/facebook.png') }}" alt="facebook">
+                    <div class="logo">
+                        <a href="https://www.facebook.com/upmpraha/">
+                            <img src="{{ asset('images/icons/facebook.svg') }}" alt="facebook">
                         </a>
                     </div>
-                    <div class="col-md-4">
-                        <a href="">
-                            <img src="{{ asset('images/icons/instagram.png') }}" alt="instagram">
+                    <div class="logo">
+                        <a href="https://www.instagram.com/museumofdecorativeartsprague/">
+                            <img src="{{ asset('images/icons/instagram.svg') }}" alt="instagram">
                         </a>
                     </div>
-                    <div class="col-md-4">
-                        <a href="">
-                            <img src="{{ asset('images/icons/wikipedia.png') }}" alt="wikipedia">
+                    <div class="logo">
+                        <a href="https://cs.wikipedia.org/wiki/Um%C4%9Bleckopr%C5%AFmyslov%C3%A9_muzeum_v_Praze">
+                            <img src="{{ asset('images/icons/wikipedia.svg') }}" alt="wikipedia">
                         </a>
                     </div>
                 </div>
@@ -44,13 +46,13 @@
                 Proin id tempor enim, eu ornare nisi. Phasellus ornare metus ut mi dapibus, varius elementum leo malesuada.
             </p>
         </div>
-        <a class="carousel-control-prev" href="#homepage_carousel" role="button" data-slide="prev">
+        <!-- <a class="carousel-control-prev" href="#homepage_carousel" role="button" data-slide="prev">
             <span class="carousel-control-prev-icon" aria-hidden="true"></span>
             <span class="sr-only">Previous</span>
-        </a>
-        <a class="carousel-control-next" href="#homepage_carousel" role="button" data-slide="next">
+        </a> -->
+        <!-- <a class="carousel-control-next" href="#homepage_carousel" role="button" data-slide="next">
             <span class="carousel-control-next-icon" aria-hidden="true"></span>
             <span class="sr-only">Next</span>
-        </a>
+        </a> -->
     </div>
 @endsection
diff --git a/resources/views/verify/index.blade.php b/resources/views/verify/index.blade.php
new file mode 100644
index 0000000..d2dfefd
--- /dev/null
+++ b/resources/views/verify/index.blade.php
@@ -0,0 +1,9 @@
+@extends('layouts.app')
+
+@section('title', 'Favorite artefacts')
+
+@section('content')
+    <div class="container ver-text">
+        <h2>{{$text}}</h2>
+    </div>
+@endsection
diff --git a/routes/web.php b/routes/web.php
index 0a1d100..d8127ec 100644
--- a/routes/web.php
+++ b/routes/web.php
@@ -15,13 +15,22 @@ use Illuminate\Support\Facades\Route;
 
 Route::get('/', 'PagesController@index');
 
+Route::get('/verify/{id}', 'VerifyRegisterController@verifyUser');
 Route::get('/artefact', 'ArtefactController@default');
 Route::get('/artefact/{id}', 'ArtefactController@view');
+Route::get('/artefact/like/{id}', 'ArtefactController@like');
+Route::get('/artefact/unlike/{id}', 'ArtefactController@unlike');
 Route::get('/category/{id}', 'ArtefactController@showCategory');
+Route::get('/category/multi/{id}', 'ArtefactController@showCategories');
+Route::get('/detail/like/{id}', 'DetailsController@like');
+Route::get('/detail/unlike/{id}', 'DetailsController@unlike');
 Route::resource('/detail', 'DetailsController', array('only' => array('index', 'show')));
 Route::resource('/categories', 'CategoriesController', array('only' => array('index')));
 Route::resource('/favartefacts', 'FavoriteArtefactsController', array('only' => array('index', 'show', 'store')));
+Route::resource('/charts', 'ChartsController', array('only' => array('index', 'show', 'store')));
 Route::get('/favmetadata', 'FavoriteMetadataController@index');
+Route::get('/favmetadata/unlike/{id}', 'FavoriteMetadataController@unlike');
+Route::get('/artefact/{id}', 'ArtefactController@view');
 
 
 Auth::routes();
